Bug 217011 - CVE-2006-6056 SELinux superblock_doinit denial of service
CVE-2006-6056 SELinux superblock_doinit denial of service
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Eric Paris
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-11-23 01:06 EST by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0014
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-30 09:43:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-11-23 01:06:18 EST
From MOKB-14-11-2006:


Failure to handle mounting of corrupt filesystem streams may lead to a local
denial of service condition when SELinux hooks are enabled. This particular
vulnerability is caused by a null pointer dereference in the superblock_doinit
Comment 1 Eric Paris 2006-11-30 10:34:12 EST
Not an SELinux problem.  It's a problem in HFS return codes from failure. 
Already fixed upstream by Eric Sandeen.  Will discuss which of us should own the
local bug (we both know the fix just fine)
Comment 3 Jason Baron 2006-12-13 14:19:12 EST
committed in stream U5 build 42.31. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 4 Jason Baron 2006-12-18 16:54:44 EST
committed in stream E5 build 42.0.4
Comment 6 Mike Gahagan 2007-01-19 14:08:47 EST
verified using the MOKB hfs image.

Comment 8 Red Hat Bugzilla 2007-01-30 09:43:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.